7

Installing PHP 5.4.11 on CentOS 6.3

view full story
linux-howto

http://serverfault.com – I have PHP 5.3.3 on my CentOs 6.3 server, Since this version of PHP is vulnerable now trying to upgrade to PHP 5.4.11 but the default repository of CentOs does not have PHP > 5.3.3 so yum can not detect the newer version. I then installed remi repository on my server rpm -Uvh http://download.fedoraproject.org/pub/epel/6/x86_64/epel-release-6-8.noa... rpm -Uvh http://rpms.famillecollet.com/enterprise/remi-release-6.rpm These command installed repository successfully Now the command to upgrade PHP yum --enablerepo=remi,remi-test update httpd mysql mysql-server php php-common Bu (HowTos)